<?php
/**
 * Active Callbacks
 *
 * @package roof_water_proofing
 */

// Theme Options.
function roof_water_proofing_is_pagination_enabled( $roof_water_proofing_control ) {
	return ( $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_enable_pagination' )->value() );
}
function roof_water_proofing_is_breadcrumb_enabled( $roof_water_proofing_control ) {
	return ( $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_enable_breadcrumb' )->value() );
}
function roof_water_proofing_is_layout_enabled( $roof_water_proofing_control ) {
	return ( $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_website_layout' )->value() );
}
function roof_water_proofing_is_pagetitle_bcakground_image_enabled( $roof_water_proofing_control ) {
	return ( $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_page_header_style' )->value() );
}
function roof_water_proofing_is_preloader_style( $roof_water_proofing_control ) {
	return ( $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_enable_preloader' )->value() );
}

// Header Options.
function roof_water_proofing_is_topbar_enabled( $roof_water_proofing_control ) {
	return ( $roof_water_proofing_control->manager->get_Setting( 'roof_water_proofing_enable_topbar' )->value() );
}

// Banner Slider Section.
function roof_water_proofing_is_banner_slider_section_enabled( $roof_water_proofing_control ) {
	return ( $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_enable_banner_section' )->value() );
}
function roof_water_proofing_is_banner_slider_section_and_content_type_post_enabled( $roof_water_proofing_control ) {
	$roof_water_proofing_content_type = $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_banner_slider_content_type' )->value();
	return ( roof_water_proofing_is_banner_slider_section_enabled( $roof_water_proofing_control ) && ( 'post' === $roof_water_proofing_content_type ) );
}
function roof_water_proofing_is_banner_slider_section_and_content_type_page_enabled( $roof_water_proofing_control ) {
	$roof_water_proofing_content_type = $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_banner_slider_content_type' )->value();
	return ( roof_water_proofing_is_banner_slider_section_enabled( $roof_water_proofing_control ) && ( 'page' === $roof_water_proofing_content_type ) );
}

// Service section.
function roof_water_proofing_is_post_tab_section_and_content_type_page_enabled( $roof_water_proofing_control ) {
	$roof_water_proofing_content_type = $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_banner_slider_content_type' )->value();
	return ( roof_water_proofing_is_banner_slider_section_enabled( $roof_water_proofing_control ) && ( 'page' === $roof_water_proofing_content_type ) );
}
function roof_water_proofing_is_post_tab_section_and_content_type_post_enabled( $roof_water_proofing_control ) {
	$roof_water_proofing_content_type = $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_banner_slider_content_type' )->value();
	return ( roof_water_proofing_is_banner_slider_section_enabled( $roof_water_proofing_control ) && ( 'post' === $roof_water_proofing_content_type ) );
}
function roof_water_proofing_is_service_section_enabled( $roof_water_proofing_control ) {
	return ( $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_enable_service_section' )->value() );
}
function roof_water_proofing_is_service_section_and_content_type_post_enabled( $roof_water_proofing_control ) {
	$roof_water_proofing_content_type = $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_service_content_type' )->value();
	return ( roof_water_proofing_is_service_section_enabled( $roof_water_proofing_control ) && ( 'post' === $roof_water_proofing_content_type ) );
}
function roof_water_proofing_is_service_section_and_content_type_page_enabled( $roof_water_proofing_control ) {
	$roof_water_proofing_content_type = $roof_water_proofing_control->manager->get_setting( 'roof_water_proofing_service_content_type' )->value();
	return ( roof_water_proofing_is_service_section_enabled( $roof_water_proofing_control ) && ( 'page' === $roof_water_proofing_content_type ) );
}